<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the pig4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.jiayue.ipp.idp.mapper.SysAlarmMapper">

    <resultMap id="sysAlarmMap" type="com.jiayue.ipp.common.data.entity.SysAlarm">
        <id property="id" column="id"/>
        <result property="backupA" column="backup_a"/>
        <result property="backupB" column="backup_b"/>
        <result property="backupC" column="backup_c"/>
        <result property="backupD" column="backup_d"/>
        <result property="backupE" column="backup_e"/>
        <result property="errorInfo" column="error_info"/>
        <result property="alarmTypeEnum" column="alarm_type_enum"/>
        <result property="name" column="name"/>
        <result property="problemDescription" column="problem_description"/>
        <result property="alarmStatusEnum" column="alarm_status_enum"/>
        <result property="solution" column="solution"/>
        <result property="pritority" column="pritority"/>
        <result property="stationCode" column="station_code"/>
        <result property="creator" column="creator"/>
        <result property="createTime" column="create_time"/>
        <result property="lastModifier" column="last_modifier"/>
        <result property="lastModifyTime" column="last_modify_time"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>
</mapper>
